# Installation

## From the AUR

This is the recommended option. It will also install a systemd service running
in its own user.

```sh
git clone https://aur.archlinux.org/jellything-git.git
cd jellything-git
makepkg -si
```

## From source

Requirements:

- rustup
- esbuild
- nasm
- meson
- ninja
- cmake
- dav1d
- ffmpeg (only if you use transcoding)

Jellything was only tested on `x86_64-unknown-linux-gnu` and
`aarch64-unknown-linux-gnu`. Others _might_ work.

```sh
git clone --recursive https://codeberg.org/metamuffin/jellything.git
cd jellything
cargo build --release
# Global installation
cp target/release/{jellything,jellytool} /usr/local/bin
# User installation
cp target/release/{jellything,jellytool} ~/.local/bin
```
